Skip to main content
GET
/
api
/
v1
/
shop
/
sync
/
{id}
Retrieve a trip by ID
curl --request GET \
  --url https://mcp-bff.gojinko.com/api/v1/shop/sync/{id}
{
  "actions_performed": [
    "<string>"
  ],
  "contact": {
    "email": "<string>",
    "phone": "<string>"
  },
  "items": [
    {
      "currency": "<string>",
      "description": "<string>",
      "item_id": "<string>",
      "price": 123,
      "type": "<string>"
    }
  ],
  "status": "<string>",
  "totals": {
    "currency": "<string>",
    "total": 123
  },
  "travelers": [
    {
      "date_of_birth": "<string>",
      "first_name": "<string>",
      "gender": "<string>",
      "last_name": "<string>",
      "passenger_type": "<string>"
    }
  ],
  "trip_id": "<string>"
}

Path Parameters

id
string
required

Trip (cart) ID

Response

OK

actions_performed
string[]

e.g. ["created", "item_added", "travelers_updated"]

contact
object
items
object[]
status
string

e.g. "draft"

totals
object
travelers
object[]
trip_id
string